Bug 11992 - Support defaults in Select tag for use with multiple attribute
Summary: Support defaults in Select tag for use with multiple attribute
Status: CLOSED FIXED
Alias: None
Product: Taglibs
Classification: Unclassified
Component: Input Taglib (show other bugs)
Version: 1.0
Hardware: Other other
: P3 enhancement (vote)
Target Milestone: ---
Assignee: Tomcat Developers Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-08-23 21:18 UTC by Curt Wilhelm
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments
taglib.tld patch file (868 bytes, patch)
2002-09-10 21:00 UTC, Curt Wilhelm
Details | Diff
input.tld patch file (868 bytes, patch)
2002-09-10 21:01 UTC, Curt Wilhelm
Details | Diff
Select.java patch file (2.23 KB, patch)
2002-09-10 21:02 UTC, Curt Wilhelm
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Curt Wilhelm 2002-08-23 21:18:39 UTC
I'd like to see support for having multiple defaults selected in the Select Tag,
similar to the Checkbox tag.  Additionaly, this should support xslt formating.

The html output should look something like this.

<select name="test" multiple>
<option value="1">one</option>
<option value="2" selected="true">two</option>
<option value="3">three</option>
<option value="4" selected="true">four</option>
</select>

we'll need to use selected="true", as xslt does not support selected="selected"

I'd be happy to help code a solution for this patch.

Curt
Comment 1 Curt Wilhelm 2002-09-10 21:00:38 UTC
Created attachment 3000 [details]
taglib.tld patch file
Comment 2 Curt Wilhelm 2002-09-10 21:01:30 UTC
Created attachment 3001 [details]
input.tld patch file
Comment 3 Curt Wilhelm 2002-09-10 21:02:14 UTC
Created attachment 3002 [details]
Select.java patch file
Comment 4 Curt Wilhelm 2002-09-10 21:03:31 UTC
here are the patches to support the multiple selections
Comment 5 Karl von Randow 2002-09-15 21:19:36 UTC
Hi Curt,

I have a big set of patches that I hope to apply to the input taglib shortly 
that will add this functionality. Will keep you posted.

Kind regards,
Karl

karl@xk72.com
Comment 6 Karl von Randow 2002-11-09 06:39:02 UTC
This bug has been fixed and committed today.